summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-04-26 07:28:09 +0200
committerHans de Graaff <graaff@gentoo.org>2016-04-26 07:28:09 +0200
commit3be2502eaf5bfc156b82b392b24e807f129b199f (patch)
treebb1c2dcb476c6c326010c7d7e64e1ecd36e6eed4 /dev-ruby/http
parentdev-ruby/erubis: add ruby23 (diff)
downloadgentoo-3be2502eaf5bfc156b82b392b24e807f129b199f.tar.gz
gentoo-3be2502eaf5bfc156b82b392b24e807f129b199f.tar.bz2
gentoo-3be2502eaf5bfc156b82b392b24e807f129b199f.zip
dev-ruby/http: add 2.0.0
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-ruby/http')
-rw-r--r--dev-ruby/http/Manifest1
-rw-r--r--dev-ruby/http/http-2.0.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-ruby/http/Manifest b/dev-ruby/http/Manifest
index 85b9891fa6e..e6eed62a3ac 100644
--- a/dev-ruby/http/Manifest
+++ b/dev-ruby/http/Manifest
@@ -1,3 +1,4 @@
DIST http-0.6.3.gem 67072 SHA256 bbefb6ab1255f2967437b0ea9b29058066c89b1e30448e3494ca3840432cb272 SHA512 e5fe784e833da30e5ef6bcdc43b45a04fcf03d827b8336853591c5ba67b5ccf45cc18849ec4a78f3a0526b05cc50da2a7aadd5ea211284fe73f8dddbe89c642b WHIRLPOOL e231732948a938310280ecdac254c98607a473d29e2ffbc9a36a9c0dc4144f5c54e8a52603581391eb6a5046e932d41817d57b516c8dcd4099c7fc8a2bcfe86f
DIST http-0.9.8.gem 66560 SHA256 517790c159adc2755c0a6dac5b64d719d4dd8fb4437409e443f4a42b31ea89d2 SHA512 bb89147a3c28ebd75d2453e51c0c422557907e055b9a20a560b803bc64edfcdfe96e997ff225a26c9ca278211b0f70faaccf2d18ce2cdc9fd95bc4048093ef68 WHIRLPOOL 5a061560f2c34f951d862a11cdafae61a684f76b3a5298c46dc78f2f3536035cadae1c35ac26833774041a7687593b2b47a9b066e7a46cdaf1faa9d5bbb3217d
DIST http-1.0.2.gem 62464 SHA256 90f0b96e221d6c4bd6cfbdb6e2ec5426e1bdbb61f833e2fa23ac8385cfdeb34b SHA512 fbfa76f588d46b10dfa0d3b319d0ca1a5a92749575cf27791febaf5d55f2e4458cf34f48d8b9792d4e220c89c702b75b039ca5b66d3c43d31bab982082312113 WHIRLPOOL 8c0d4a94aa182d0d38e2e27e2eb21272efa7b2b48309d7c225acb56aa6a169a1d399a693e897a2ae0cb19b98ba09972370d31fca7b74a24df8002ecf36cb2920
+DIST http-2.0.0.gem 62464 SHA256 995c38950b382f3982ed1c3adaad27d087855fced1c62a256fcdd765bfe18671 SHA512 6d03a328e26b9a66cd29c1cb8178ac7b77251bf469464e342ed853f37a6e5cd5d18a112eac3ca813abf6680574535f9a837217c7461e939a179d8eacc6c5fe93 WHIRLPOOL e6a490e23be86a6348c88cd73cda99550bc01276da198e3694411362c523567a11544a37f2194244fff417a3e319ca400e3616dd4539836355b02389a29d7df0
diff --git a/dev-ruby/http/http-2.0.0.ebuild b/dev-ruby/http/http-2.0.0.ebuild
new file mode 100644
index 00000000000..14e63b094a7
--- /dev/null
+++ b/dev-ruby/http/http-2.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="2.0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3
+ >=dev-ruby/http-cookie-1.0
+ >=dev-ruby/http-form_data-1.0.1:1.0
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+}